Loading...
Searching...
No Matches
vpbreg.h File Reference
Internal API functions

VPB hardware registry implementation. More...

`#include <vt/tonegen.h>`
`#include "dspfifo.h"`
`#include "utilfuncs.h"`
`#include "vpbapi.h"`
Include dependency graph for vpbreg.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | VPBHANDLE
| Lookup table element for mapping vpb handles to a port on boardnum. More...
struct | VPBREG
| The DSP program "registry" info for each board. More...
class | HostDSP
| Base class for host processor based card types. More...
class | VPBRegister

## Macros

#define | MAXCH 32
| max channels per VPB
#define | RX 0x1
| channel receiving speech
#define | TX 0x2
| channel transmitting speech
#define | DD_PCI 2
| PCI driver.
#define | DD_PRI 4
| OpenPri driver.
#define | DD_VTCORE 5
| VTCore card driver.

## Detailed Description

VPB hardware registry implementation.

Functions used to load configuration database from the `PC` into the `VPB` `DSP`. This database is known as the DSP Registry. Each `VPB` has its own registry.